Bug 209664 - net-mgmt/glpi-plugins-fusioninventory-server update to 0.90.1.3 [patch]
Summary: net-mgmt/glpi-plugins-fusioninventory-server update to 0.90.1.3 [patch]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Veniamin Gvozdikov
URL:
Keywords: patch
Depends on: 209663
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-20 15:35 UTC by Francis GUDIN
Modified: 2016-10-31 09:10 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (vg)


Attachments
Patch port from 0.85+1.2 to 0.90.1.3 (18.68 KB, patch)
2016-05-20 15:35 UTC, Francis GUDIN
no flags Details | Diff
Patch port from 0.85+1.2 to 0.90.1.3 - fixed (18.68 KB, patch)
2016-05-24 15:40 UTC, Francis GUDIN
no flags Details | Diff
atch port from 0.85+1.2 to 0.90.1.3 - better (18.87 KB, patch)
2016-06-22 15:24 UTC, Francis GUDIN
no flags Details | Diff
poudriere testport output (22.26 KB, text/plain)
2016-06-22 15:25 UTC, Francis GUDIN
no flags Details
Patch port from 0.85+1.2 to 0.90.1.3 - better yet (18.72 KB, patch)
2016-07-08 08:37 UTC, Francis GUDIN
no flags Details | Diff
poudriere testport output (22.49 KB, text/plain)
2016-07-08 08:41 UTC, Francis GUDIN
no flags Details
Working build (27.20 KB, patch)
2016-08-12 07:43 UTC, Veniamin Gvozdikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Francis GUDIN 2016-05-20 15:35:12 UTC
Created attachment 170509 [details]
Patch port from 0.85+1.2 to 0.90.1.3

New release available:
  https://github.com/fusioninventory/fusioninventory-for-glpi/releases/tag/glpi090%2B1.3

This update should be done in sync with bug #209663 re. GLPI itself.

Thanks in advance!
Comment 1 Francis GUDIN 2016-05-24 15:40:44 UTC
Created attachment 170611 [details]
Patch port from 0.85+1.2 to 0.90.1.3 - fixed

Fix same mistake as in #209663 (deleted PORTEPOCH)
Comment 2 Francis GUDIN 2016-06-22 15:24:17 UTC
Created attachment 171681 [details]
atch port from 0.85+1.2 to 0.90.1.3 - better

Slightly modified and hopefully better patch:
- switch back MASTER_SITES to a plain http method
- USES+=shebangfix as poudriere advised
Comment 3 Francis GUDIN 2016-06-22 15:25:39 UTC
Created attachment 171682 [details]
poudriere testport output
Comment 4 Veniamin Gvozdikov freebsd_committer 2016-06-24 12:11:59 UTC
Please update patch, it didn't apply. And also use GH and GHC in MASTER_SITES plus use USE_GITHUB and options to configure repository.
Comment 5 Francis GUDIN 2016-07-08 08:37:42 UTC
Created attachment 172228 [details]
Patch port from 0.85+1.2 to 0.90.1.3 - better yet

Fixed patch against today's tree and USE_GITHUBified as requested.

poudriere testport's output to follow.
Comment 6 Francis GUDIN 2016-07-08 08:41:31 UTC
Created attachment 172230 [details]
poudriere testport output

Hope everything's fine.

Thank you, and best regards.
Comment 7 Veniamin Gvozdikov freebsd_committer 2016-07-11 10:53:15 UTC
Can't fetch files:

=> fusioninventory-fusioninventory-for-glpi-0.90.1.3-glpi090+1.3_GH0.tar.gz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch https://codeload.github.com/fusioninventory/fusioninventory-for-glpi/tar.gz/glpi090+1.3?dummy=/fusioninventory-fusioninventory-for-glpi-0.90.1.3-glpi090+1.3_GH0.tar.gz
fetch: https://codeload.github.com/fusioninventory/fusioninventory-for-glpi/tar.gz/glpi090+1.3?dummy=/fusioninventory-fusioninventory-for-glpi-0.90.1.3-glpi090+1.3_GH0.tar.gz: size unknown
fetch: https://codeload.github.com/fusioninventory/fusioninventory-for-glpi/tar.gz/glpi090+1.3?dummy=/fusioninventory-fusioninventory-for-glpi-0.90.1.3-glpi090+1.3_GH0.tar.gz: size of remote file is not known
fusioninventory-fusioninventory-for-glpi-0.90.1.3-glpi090+1.3_G           0  B    0  Bps
===> Fetching all distfiles required by glpi-plugins-fusioninventory-server-0.90.1.3,1 for building
Comment 8 dasti 2016-08-05 10:56:06 UTC
(In reply to Veniamin Gvozdikov from comment #7)

strange, I just clicked on the link you provided, files download without any problem
Comment 9 Veniamin Gvozdikov freebsd_committer 2016-08-12 07:43:45 UTC
Created attachment 173565 [details]
Working build

Hi,

I've just patched to correct build the module. Could you to test server with that update?
Comment 10 dasti 2016-09-14 04:16:47 UTC
if that question is for me, I don't know how to use/apply/download patch. sorry.

But if you have a bit of documentation about that I can setup vm and test that :)
Comment 11 Veniamin Gvozdikov freebsd_committer 2016-09-21 07:26:29 UTC
(In reply to dasti from comment #10)

Follow commands below

cd /usr/ports/net-mgmt/glpi-plugins-fusioninventory-server
curl -O "https://bz-attachments.freebsd.org/attachment.cgi?id=173565"
patch -p0 < attachment.cgi\?id=173565
make install clean
Comment 12 Francis GUDIN 2016-10-06 16:06:58 UTC
Sorry for being so late to this…
OK, patched and installed. Everything's fine to my eyes.

Thanks for your work on it.
Best regards.
Comment 13 commit-hook freebsd_committer 2016-10-31 09:09:31 UTC
A commit references this bug:

Author: vg
Date: Mon Oct 31 09:08:30 UTC 2016
New revision: 424988
URL: https://svnweb.freebsd.org/changeset/ports/424988

Log:
  - Update to 0.90.1.3

  PR:		ports/209664
  Submitted by:	Francis GUDIN <fgudin+fbsd@bsdbellule.fr>

Changes:
  head/net-mgmt/glpi-plugins-fusioninventory-server/Makefile
  head/net-mgmt/glpi-plugins-fusioninventory-server/distinfo
  head/net-mgmt/glpi-plugins-fusioninventory-server/pkg-plist
Comment 14 Veniamin Gvozdikov freebsd_committer 2016-10-31 09:10:36 UTC
Committed, thank you!